import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Project } from '../projects/project.entity';
import { ReposResolver } from './repos.resolver';
import { ReposService } from './repos.service';
import { ConfigModule } from '@nestjs/config';
import { BullModule } from '@nestjs/bull';
import { WORKSPACE_ACTION } from './repos.constants';

@Module({
  imports: [
    TypeOrmModule.forFeature([Project]),
    ConfigModule,
    BullModule.registerQueue({
      name: WORKSPACE_ACTION,
    }),
  ],
  providers: [ReposResolver, ReposService],
})
export class ReposModule {}
