import { Args, Query, Resolver } from '@nestjs/graphql';
import { ListLogsArgs } from './dtos/list-logs.args';
import { ReposService } from './repos.service';
import { LogList } from './dtos/log-list.model';
import { ListBranchesArgs } from './dtos/list-branches.args';
import { BranchList } from './dtos/branch-list.model';

@Resolver()
export class ReposResolver {
  constructor(private readonly service: ReposService) {}
  @Query(() => LogList)
  async listLogs(@Args('listLogsArgs') dto: ListLogsArgs) {
    return await this.service.listLogs(dto);
  }
  @Query(() => BranchList)
  async ListBranchesArgs(
    @Args('listBranchesArgs') dto: ListBranchesArgs,
  ): Promise<BranchList> {
    return await this.service.listBranches(dto).then((data) => {
      return {
        ...data,
        branches: Object.values(data.branches),
      };
    });
  }
}
